using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace DataBindingExample {

	public class Form1 : System.Windows.Forms.Form {
		private System.Windows.Forms.ListBox listBox1;
		private System.Windows.Forms.TextBox textBox1;
		private System.ComponentModel.Container components = null;

		public Form1() {
			InitializeComponent();

			// Populates the list box using DataSource. 
			// DisplayMember is used to display just the long name of each state.
			ArrayList USStates = new ArrayList()    ;
			USStates.Add(new USState("Alabama", "AL"));
			USStates.Add(new USState("Washington", "WA"))  ; 
			USStates.Add(new USState("West Virginia", "WV"));
			USStates.Add(new USState("Wisconsin", "WI")) ;
			USStates.Add(new USState("Wyoming", "WY"));

			listBox1.SelectedValueChanged += new EventHandler(listBox1_SelectedValueChanged);
			listBox1.DataSource = USStates;
			listBox1.DisplayMember = "LongName";
			listBox1.ValueMember = "ShortName";
		}

		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.listBox1 = new System.Windows.Forms.ListBox();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// listBox1
			// 
			this.listBox1.Location = new System.Drawing.Point(16, 16);
			this.listBox1.Name = "listBox1";
			this.listBox1.Size = new System.Drawing.Size(224, 160);
			this.listBox1.TabIndex = 1;
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(16, 200);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(224, 20);
			this.textBox1.TabIndex = 2;
			this.textBox1.Text = "textBox1";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.listBox1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.ResumeLayout(false);

		}
		#endregion

		[STAThread]
		static void Main() {
			Application.Run(new Form1());
		}

		private void listBox1_SelectedValueChanged(object sender, EventArgs e) {
			if (listBox1.SelectedIndex != -1) {
				textBox1.Text = listBox1.SelectedValue.ToString();
			}
		}
	}
}